Foxit PDF SDK

Public Member Functions | List of all members
FSDK.DRMSecurityCallback Class Reference
Inheritance diagram for FSDK.DRMSecurityCallback:

## Public Member Functions
| GetCipherType (document, sub_filter)
| A callback function used to get the cipher type for encryption algorithm. More...
| GetFileID (document, sub_filter)
| A callback function used to get the file identity string. More...
| GetKeyLength (document, sub_filter)
| A callback function used to get the length of cipher key. More...
| IsOwner (document, sub_filter) GetUserPermissions(document
| A callback function used to check if current user is the owner of the PDF document. More...
Public Member Functions inherited from FSDK.SecurityCallback
| Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object for Foxit DRM decryption. If user wants to use their own Foxit DRM security callback, user should inherit this callback class and implement the pure virtual functions (as callback functions), and then register their own Foxit DRM security callback object to Foxit PDF SDK by function FSDK.Library.RegisterSecurityCallback with filter "FoxitDRM". Function FSDK.Library.UnregisterSecurityCallback can be called to unregister the security callback object with the registered filter name.

## Member Function Documentation

## ◆ GetCipherType()

FSDK.DRMSecurityCallback.GetCipherType | ( | document | ,
|  | sub_filter |
| ) |  |

A callback function used to get the cipher type for encryption algorithm.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  The cipher type. Please refer to values starting from FSDK.SecurityHandler.e_CipherNone and this should be one of these values.

## ◆ GetFileID()

FSDK.DRMSecurityCallback.GetFileID | ( | document | ,
|  | sub_filter |
| ) |  |

A callback function used to get the file identity string.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  The identity string, used to identify the file.

## ◆ GetKeyLength()

FSDK.DRMSecurityCallback.GetKeyLength | ( | document | ,
|  | sub_filter |
| ) |  |

A callback function used to get the length of cipher key.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  The key length.
  For FSDK.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16.
  For FSDK.SecurityHandler.e_CipherAES cipher, this value should be 16 or 32.

## ◆ IsOwner()

FSDK.DRMSecurityCallback.IsOwner | ( |  | document,
|  |  | sub_filter
| ) |  |

A callback function used to check if current user is the owner of the PDF document.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  true means current user is the owner of the PDF document, while false means not.

A callback function used to get the current user permissions.

Parameters

  [in] | document | A PDF document object.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.

Note
  User should implement this callback function.

Returns
  Current user permissions. Please refer to values starting from FSDK.PDFDoc.e_PermPrint and this can be one or combination of these values.